Реклама показывается только незарегистрированным пользователям. Вход или Регистрация

Установка Mojo SDK для webOS под FreeBSD

Здесь выкладываются готовые статьи и рабочие исходники, решения каких-либо задач или советы

Установка Mojo SDK для webOS под FreeBSD

Сообщение Архивариус » 29 июл 2010, 21:40

В этом топике описывается установка Mojo SDK на FreeBSD 8.0.

Сразу скажу, что весь пакет SDK меня не интересовал, мне интересно было только запустить эмулятор webOS. Поэтому не знаю, достаточно ли всех описанных мною действий для полноценной установки SDK, но, тем не менее, эмулятор запустился.

Первым делом нужно установить Java и VirtualBox. Как показала практика родная фрибсдэшная Java не подходит, нужна именно линуксовая, её и ставим. Для этого ищем в сети пакет jre-6u3-linux-i586.bin и кидаем его в /usr/ports/distfiles.

Конечно, пакет можно взять с сановского сайта, но там за каким-то рожном требуется регистрация, которую проходить мне было лень, поэтому я просто нашёл этот пакет через Google и скачал откуда-то из другого источника.

Затем нам надо этот пакет поставить:

# cd /usr/ports/java/linux-sun-jre16/
# make install clean


Далее, если у вас еще не установлена поддержка Linux, необходимо внимательно прочитать инструкции, которые появятся на экране после установки. В них разъясняется, как эту самую поддержку включить.

Следующий шаг - установка VirtualBox. Я не знаю, нужен ли он для эмулятора, но я решил его поставить, поскольку он упоминается в инструкции по установке Mojo SDK для Ubuntu.

# pkg_add -r virtualbox


Всё, ОС мы подготовили, осталось скачать сам SDK. Он состоит из двух пакетов:


Скачиваем эти пакеты и препарируем с помощью tar.

Чтобы эти файлы не смешались с системными я содал новый каталог и перенес все файлы из этих пакетов туда:

# mkdir /usr/local/opt
# tar xf palm-novacom_1.0.46_i386.deb
# tar xf data.tar.gz -C /usr/local/opt
# tar xf palm-sdk_1.3.1-svn222348-sdk100-pho314_i386.deb
# tar xf data.tar.gz -C /usr/local/opt


Осталось всего несколько штрихов. Перед запуском самого эмулятора необходимо запускать демон novacomd, который не запустился, т.к. не мог найти библиотеку libusb-0.1.so.4. Пришлось обратиться за помощью к поисковикам и убунтовским репозиториям. Пакет нашёлся по этой ссылке: http://ftp.de.debian.org/debian/pool/main/libu/libusb/libusb-0.1-4_0.1.12-13_i386.deb. Саму библиотеку из архива я решил положить в папку, где лежат все линуксовые библиотеки, в /usr/local/lib/compat. Однако демон novacomd не смог её там найти и пришлось немного подкорректировать строку запуска:

# export LD_LIBRARY_PATH=/usr/local/lib/compat
# /usr/local/opt/opt/Palm/novacom/novacomd


Ну что же, почти всё. Как оказалось, эмулятор запускается скриптом на баше и в нём первая строка выглядит как "#!/bin/bash". Нам во фре такое не подходит, поэтому я просто создал символьную ссылку:

# ln -s /usr/local/bin/zsh /bin/bash


Да, баша у меня нет, но zsh подошёл.

Ну и последнее - в этом же скрипте жёстко прописан путь, где лежит этот самый SDK, а именно, в /opt, поэтому пришлось создать еще одну символьную ссылку:

# ln -s /usr/local/opt/opt /opt


Всё, осталось только запустить сам эмулятор:

# /opt/PalmSDK/Current/bin/palm-emulator


При установке всего этого хозяйства я использовал инструкцию по установке SDK на Ubuntu, которая лежит тут.

Источник: http://shura0.ya.ru/replies.xml?item_no ... reply=text
Если наш форум помог вам выбрать телевизор - напишите отзыв о покупке.
Архивариус

 
Сообщения: 4460
Зарегистрирован: 29 июл 2010, 21:22
Благодарил (а): 414 раз.
Поблагодарили: 543 раз.
Телевизор: LG 55UB950 24MT57S

Вернуться в Статьи, исходники и примеры



Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и гости: 0